# dipy_align_affine

## Usage

    dipy_align_affine [OPTIONS] static_image_files moving_image_files

## Input Parameters

- `static_image_files`

  Path to the static image file.

- `moving_image_files`

  Path to the moving image file.

## General Options

- `--transform`

  `'com'`: center of mass; `'trans'`: translation; `'rigid'`: rigid body; `'rigid_isoscaling'`: rigid body + isotropic scaling, `'rigid_scaling'`: rigid body + scaling; `'affine'`: full affine including translation, rotation, shearing and scaling. (default: affine)

- `--nbins`

  Number of bins to discretize the joint and marginal PDF. (default: 32)

- `--sampling_prop`

  Number ([0-100]) of voxels for calculating the PDF. None implies all voxels. (default: None)

- `--metric`

  Similarity metric for gathering mutual information. (default: mi)

- `--level_iters`

  The number of iterations at each scale of the scale space. level_iters[0] corresponds to the coarsest scale, level_iters[-1] the finest, where n is the length of the sequence. (default: (1000, 500, 100))

- `--sigmas`

  Custom smoothing parameter to build the scale space (one parameter for each scale). (default: (3.0, 1.0, 0.0))

- `--factors`

  Custom scale factors to build the scale space (one factor for each scale). (default: (4, 2, 1))

- `--progressive`

  Enable/Disable the progressive registration. (default: True)

- `--save_metric`

  If true, quality assessment metric are saved in ‘quality_metric.txt’. (default: False)

- `--static_vol_idx`

  1D array representing indices of `axis=-1` of a 4D static input volume. From the command line use something like 3 4 5 6. From script use something like [3, 4, 5, 6]. This input is required for 4D volumes. (default: None)

- `--moving_vol_idx`

  1D array representing indices of `axis=-1` of a 4D moving input volume. From the command line use something like 3 4 5 6. From script use something like [3, 4, 5, 6]. This input is required for 4D volumes. (default: None)

## Output Options

- `--out_dir`

  Directory to save the transformed image and the affine matrix (default: current directory)

- `--out_moved`

  Name for the saved transformed image. (default: moved.nii.gz)

- `--out_affine`

  Name for the saved affine matrix. (default: affine.txt)

- `--out_quality`

  Name of the file containing the saved quality metric. (default: quality_metric.txt)

## References

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.